To successfully deploy ThoughtSpot in your organization, you must have the following RPM packages on each node of your ThoughtSpot cluster: yum, python 3, and R. When the Ansible playbook runs, it automatically installs them.

ThoughtSpot works with the latest version of each package; see the minimum supported version.

Yum RPM packages
Yum PackageMinimum version
aide0.15.1-13.el7
alsa-lib.x86_641.1.8-1.el7
amcheck_next95.x86_641.5-1.rhel7
ansible2.9.3-1.el7
arp-scan1.9.2-1.el7
atk.x86_642.28.1-1.el7
atop2.4.0-4.el7
azure-cli2.0.81-1.el7
bash4.2.46-33.el7
bind-utils32:9.11.4-9.P2.el7
btrfs-progs4.9.1-1.el7
chromium79.0.3945.130-1.el7
cifs-utils6.2-10.el7
cloud-init18.5-3.el7
coreutils8.22-24.el7
cryptsetup2.0.3-5.el7
cups-libs.x86_641:1.6.3-40.el7
curl7.29.0-54.el7_7.2
cyrus-sasl2.1.26-23.el7
cyrus-sasl-devel2.1.26-23.el7
cyrus-sasl-plain2.1.26-23.el7
dkms2.7.1-1.el7
dmidecode1:3.2-3.el7
dos2unix6.0.3-7.el7
dracut033-564.el7
dracut-network033-564.el7
dstat0.7.2-12.el7
e2fsprogs1.42.9-16.el7
ethtool2:4.8-10.el7
exfat-utils1.2.7-1.el7.nux
fio3.7-1.el7
ftp0.17-67.el7
fuse-exfat1.2.7-1.el7.nux
gcc4.8.5-39.el7
GConf2.x86_643.2.6-8.el7
gdb7.6.1-115.el7
gdisk0.8.10-3.el7
glib22.56.1-5.el7
glibc-devel2.17-292.el7
gnu-free-sans-fonts20120503-8.el7
google-cloud-sdk282.0.0-1
graphviz2.30.1-21.el7
grub21:2.02-0.80.el7
gtk3.x86_643.22.30-3.el7
hdparm9.43-5.el7
htop2.2.0-3.el7
http-parser2.7.1-8.el7
httpd-tools2.4.6-90.el7
ipa-gothic-fonts003.03-5.el7
iperf33.1.7-2.el7
ipmitool1.8.18-7.el7
krb5-workstation1.15.1-37.el7_7.2
ledmon0.90-1.el7
libcap2.22-10.el7
libcurl-devel7.29.0-54.el7_7.2
libffi-devel3.0.13-18.el7
libgit2-devel0.26.6-1.el7
libXcomposite.x86_640.4.4-4.1.el7
libXcursor.x86_641.1.15-1.el7
libXdamage.x86_641.1.4-4.1.el7
libXext.x86_641.3.3-3.el7
libXi.x86_641.7.9-1.el7
libxml2-devel2.9.1-6.el7_2.3
libXrandr.x86_641.5.1-2.el7
libXScrnSaver.x86_641.2.2-6.1.el7
libXtst.x86_641.2.3-1.el7
lsof4.87-6.el7
lsscsi0.27-6.el7
lynx2.8.8-0.3.dev15.el7
mailx12.5-19.el7
mcelog3:144-10.94d853b2ea81.el7
memtest86+5.01-2.el7
mtr2:0.85-7.el7
mutt5:1.5.21-28.el7_5
nano2.3.1-10.el7
nc2:6.40-19.el7
net-tools2.0-0.25.20131004git.el7
nfs-utils1:1.3.0-0.65.el7
nmap2:6.40-19.el7
ntfs-3g2:2017.3.23-11.el7
ntfsprogs2:2017.3.23-11.el7
ntp4.2.6p5-29.el7
open-vm-tools10.3.0-2.el7_7.1
openldap-clients2.4.44-21.el7_6
openldap-devel2.4.44-21.el7_6
openssh7.4p1-21.el7
openssh-clients7.4p1-21.el7
openssl-devel1:1.0.2k-19.el7
openssl-devel1:1.0.2k-19.el7
pango.x86_641.42.4-4.el7_7
parted3.1-31.el7
perf3.10.0-1062.12.1.el7
pigz2.3.4-1.el7
postfix2:2.10.1-7.el7
postgresql95-contrib9.5.21-1PGDG.rhel7
postgresql95-devel9.5.21-1PGDG.rhel7
postgresql95-libs9.5.21-1PGDG.rhel7
postgresql95-server9.5.21-1PGDG.rhel7
psmisc22.20-16.el7
pssh2.3.1-7.el7.nux
pv1.4.6-1.el7
pystache0.5.3-2.el7
python-daemon1.6-4.el7
python-devel2.7.5-86.el7
python-psycopg22.8.3-3.rhel7
python-pyasn10.1.6-2.el7
python2-cryptography1.7.2-2.el7
python2-pip8.1.2-12.el7
python33.6.8-10.el7
python3-devel3.6.8-10.el7
R3.6.0-1.el7
R-devel3.6.0-1.el7
realmd0.16.1-11.el7
redhat-lsb4.1-27.el7
redis3.2.12-2.el7
rsyslog8.24.0-41.el7_7.2
samba-client4.9.1-10.el7_7
samba-common-tools4.9.1-10.el7_7
screen4.1.0-0.25.20120314git3c2946.el7
sg3_utils1.37-18.el7_7.2
smartmontools1:7.0-1.el7_7.1
snappy-devel1.1.0-3.el7
sssd1.16.4-21.el7_7.1
strace4.12-9.el7
strongswan5.7.2-1.el7
sysstat10.1.5-18.el7
systemd219-67.el7_7.3
systemd-networkd219-67.el7_7.3
systemd-resolved219-67.el7_7.3
tcpdump14:4.9.2-4.el7_7.1
telnet1:0.17-64.el7
tinyproxy1:8.5.13-6.el7
tmux1.8-4.el7
traceroute3:2.0.22-2.el7
unzip6.0-20.el7
util-linux2.23.2-61.el7_7.1
uuid1.6.2-26.el7
veritysetup2.0.3-5.el7
vim2:7.4.629-6.el7
vnc-server1.8.0-17.el7
vnstat1.15-2.el7
w3m0.5.3-36.git20180125.el7
WALinuxAgent2.0.18-1.el7
wget1.14-18.el7_6.1
xfsprogs4.5.0-20.el7
xorg-x11-fonts-100dpi7.5-9.el7
xorg-x11-fonts-75dpi7.5-9.el7
xorg-x11-fonts-cyrillic7.5-9.el7
xorg-x11-fonts-misc7.5-9.el7
xorg-x11-fonts-Type17.5-9.el7
xorg-x11-utils7.7-20.el7
yum-plugin-versionlock1.1.31-52.el7
zip3.0-11.el7
zsh5.0.2-33.el7
Python 3 packages
Python 3 pakageMinimum version
agate1.6.1
agate-dbf0.2.1
agate-excel0.2.3
agate-sql0.5.4
ansible2.8.5
asn1crypto0.24.0
awscli1.16.239
Babel2.7.0
backcall0.1.0
bcrypt3.1.7
boto31.9.229
botocore1.12.229
category-encoders2.0.0
certifi2019.9.11
cffi1.12.3
chardet3.0.4
Click7
colorama0.3.9
configobj5.0.6
crypto1.4.1
cryptography2.7
csvkit1.0.4
cycler0.10.0
dbfread2.0.7
decorator4.4.0
dnspython1.16.0
docutils0.15.2
egnyte0.5.3
enum341.1.6
et-xmlfile1.0.1
eventlet0.19.0
Flask1.1.1
fping0.0.1a2
future0.17.1
greenlet0.4.15
idna2.8
influxdb5.2.3
ipaddress1.0.22
ipython7.8.0
ipython-genutils0.2.0
isodate0.6.0
itsdangerous1.1.0
jdcal1.4.1
jedi0.15.1
Jinja22.10.1
jmespath0.9.4
joblib0.13.2
kiwisolver1.1.0
leather0.3.3
MarkupSafe1.1.1
matplotlib3.1.1
monotonic1.5
Naked0.1.31
ndg-httpsclient0.5.1
netaddr0.7.19
numpy1.17.2
openpyxl2.6.3
pandas0.25.1
paramiko2.6.0
parsedatetime2.4
parso0.5.1
patsy0.5.1
pexpect4.7.0
pickleshare0.7.5
pika1.1.0
prompt-toolkit2.0.9
psutil5.6.3
psycopg22.8.3
ptyprocess0.6.0
pyasn10.4.7
pyasn1-modules0.2.6
pycparser2.19
pycrypto2.6.1
pydot1.4.1
Pygments2.4.2
PyNaCl1.3.0
pyOpenSSL19.0.0
pyparsing2.4.2
python-dateutil2.8.0
python-gflags3.1.2
python-ldap3.2.0
python-slugify3.0.3
pytimeparse1.1.8
pytz2019.2
PyYAML5.1.2
requests2.22.0
rsa3.4.2
s3transfer0.2.1
scikit-learn0.21.3
scipy1.3.1
shellescape3.4.1
six1.12.0
SQLAlchemy1.3.8
statsmodels0.10.1
text-unidecode1.2
toml0.10.0
traitlets4.3.2
urllib31.25.3
wcwidth0.1.7
Werkzeug0.15.6
xgboost0.9
xlrd1.2.0
R packages
R packageMinimum version
broom0.5.4
EnvStats2.3.1
forecast8.11
ggplot23.2.1
ggpubr0.2.5
import1.1.0
lubridate1.7.4
magrittr1.5
padr0.5.0
Rserve1.7.3.1
timetk0.1.2
TSA1.2
tseries0.10.47
xts0.12.0